//====================================================================
//	Root Database factories implementation
//--------------------------------------------------------------------
//
//	Package    : POOLCore/RootDb (The POOL project)
//
//	Author     : M.Frank
//====================================================================
#include "StorageSvc/DbType.h"
#include "StorageSvc/IOODatabaseFactory.h"
#include "RootOODb.h"
struct ROOT_All : public pool::RootOODb{ ROOT_All(void* c) : RootOODb(c)   {}};
struct ROOT_Tree: public pool::RootOODb{ ROOT_Tree(void* c): RootOODb(c,pool::ROOTTREE_StorageType){}};
struct ROOT_Key : public pool::RootOODb{ ROOT_Key(void* c) : RootOODb(c,pool::ROOTKEY_StorageType) {}};

DECLARE_OODATABASE(ROOT_All)
DECLARE_OODATABASE(ROOT_Tree)
DECLARE_OODATABASE(ROOT_Key)
