#ifndef IOODATABASEFACTORY_H
#define IOODATABASEFACTORY_H

#include "Reflex/PluginService.h"
#include "StorageSvc/IOODatabase.h"
// Reflex object factory definition
namespace {
  template <typename P> class Factory<P,pool::IOODatabase*(void*)> {
    public: static void* Func( void*, const std::vector<void*>& arg, void*) 
    { return (pool::IOODatabase*)(new P(arg[0]));                   }
  };
}
#define DECLARE_OODATABASE(x) PLUGINSVC_FACTORY(x,pool::IOODatabase*(void*))
#endif
